<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
"http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
  <interface name="org.kde.kweather.service">
    <method name="temperature">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="dewPoint">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="relativeHumidity">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="heatIndex">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="windChill">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="wind">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="pressure">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="currentIconString">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="iconFileName">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="date">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="visibility">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="cover">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="as" direction="out"/>
    </method>
    <method name="weather">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="as" direction="out"/>
    </method>
    <method name="stationNeedsMaintenance">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="b" direction="out"/>
    </method>
    <method name="stationName">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="stationCountry">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="longitude">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="latitude">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="sunRiseTime">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="sunSetTime">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="civilTwilightStart">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="civilTwilightEnd">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="update">
      <arg name="stationID" type="s" direction="in"/>
    </method>
    <method name="updateAll"/>
    <method name="forceUpdate">
      <arg name="stationID" type="s" direction="in"/>
    </method>
    <method name="removeStation">
      <arg name="stationID" type="s" direction="in"/>
    </method>
    <method name="addStation">
      <arg name="stationID" type="s" direction="in"/>
    </method>
    <method name="listStations">
      <arg type="as" direction="out"/>
    </method>
    <method name="stationCode">
      <arg name="stationName" type="s" direction="in"/>
      <arg type="s" direction="out"/>
    </method>
    <method name="exit"/>
    <method name="currentIcon">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="ay" direction="out"/>
    </method>
    <method name="icon">
      <arg name="stationID" type="s" direction="in"/>
      <arg type="ay" direction="out"/>
    </method> 
    <signal name="fileUpdating">
      <arg type="s" direction="out"/>
    </signal>
    <signal name="fileUpdate">
      <arg type="s" direction="out"/>
    </signal>
    <signal name="stationRemoved">
      <arg type="s" direction="out"/>
    </signal>
  </interface>
</node>
